package com.red.circle.other.infra.database.cache.service.other;

import com.red.circle.other.infra.database.cache.token.OauthAccessToken;
import com.red.circle.other.infra.database.cache.token.OauthAccessTokenCertificate;

/**
 * 认证服务.
 *
 * @author pengliang on 2022/05/10
 */
public interface OauthCacheService {

  /**
   * 根据令牌获取用户id.
   */
  OauthAccessToken getUserIdByToken(String token);

  /**
   * 添加令牌.
   */
  OauthAccessToken addToken(OauthAccessTokenCertificate certificate);

  /**
   * 删除令牌.
   */
  void removeToken(String token);

}
